summaryrefslogtreecommitdiffstats
path: root/libraries/libdca
diff options
context:
space:
mode:
author Niklas Nille Åkerström2010-05-11 20:00:51 +0200
committer Robby Workman2010-05-11 20:00:51 +0200
commit4934729997af1b3950e84901163267e81da22fc7 (patch)
tree90de618a941d3acdd5664d2674731b444ff90646 /libraries/libdca
parent5be09ec0efd3c9dc33f8ba32fb763865aa0deebc (diff)
downloadslackbuilds-4934729997af1b3950e84901163267e81da22fc7.tar.gz
libraries/libdca: Added to 12.0 repository
Diffstat (limited to 'libraries/libdca')
-rw-r--r--libraries/libdca/README16
-rw-r--r--libraries/libdca/libdca.SlackBuild91
-rw-r--r--libraries/libdca/libdca.info8
-rw-r--r--libraries/libdca/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/libraries/libdca/README b/libraries/libdca/README
new file mode 100644
index 0000000000..70ae0ff717
--- /dev/null
+++ b/libraries/libdca/README
@@ -0,0 +1,16 @@
+libdca - a free DTS Coherent Acoustics decoder (previously libdts)
+
+libdca is a free library for decoding DTS Coherent Acoustics streams.
+The code is written by Gildas Bazin and was based on the a52dec
+project. The DTS Coherent Acoustics standard is used in a variety of
+applications , including DVD, DTS audio CD and radio broadcasting.
+It includes libdts. It is released under the terms of the GPL license.
+
+WARNING: libdca is still in early development stage so don't expect too
+ much of it.
+
+Provisional Warning: DTS Incorporated claims that use of libdca software
+to decode DTS compressed sound data on a DVD could violate DTS's patent rights.
+If you are unsure about the legality of using and distributing this code in
+your country, in particular in the USA, please consult your lawyer before
+downloading it.
diff --git a/libraries/libdca/libdca.SlackBuild b/libraries/libdca/libdca.SlackBuild
new file mode 100644
index 0000000000..86643069fc
--- /dev/null
+++ b/libraries/libdca/libdca.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for libdca
+#
+# Copyright 2007 Niklas "Nille" Åkerström
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org> for version 0.0.5
+
+PRGNAM=libdca
+VERSION=0.0.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION libdts-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ --enable-shared
+
+make
+make install DESTDIR=$PKG
+cp -a libdca/dca_internal.h $PKG/usr/include
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $PKG $TMP/$PRGNAM-$VERSION
+ fi
diff --git a/libraries/libdca/libdca.info b/libraries/libdca/libdca.info
new file mode 100644
index 0000000000..e6af315c7c
--- /dev/null
+++ b/libraries/libdca/libdca.info
@@ -0,0 +1,8 @@
+PRGNAM="libdca"
+VERSION="0.0.5"
+HOMEPAGE="http://www.videolan.org/developers/libdca.html"
+DOWNLOAD="http://download.videolan.org/pub/videolan/libdca/0.0.5/libdca-0.0.5.tar.bz2"
+MD5SUM="dab6b2795c66a82a6fcd4f8343343021"
+MAINTAINER="Niklas 'Nille' Åkerström"
+EMAIL="nille_kungen[AT]hotmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libdca/slack-desc b/libraries/libdca/slack-desc
new file mode 100644
index 0000000000..e7bb6f8095
--- /dev/null
+++ b/libraries/libdca/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libdca: libdca - a free DTS Coherent Acoustics decoder (previously libdts)
+libdca:
+libdca: libdca is a free library for decoding DTS Coherent Acoustics streams.
+libdca: The code is written by Gildas Bazin and was based on the a52dec
+libdca: project. libdca: The DTS Coherent Acoustics standard is used in a
+libdca: variety of applications, including DVD, DTS audio CD, and radio
+libdca: broadcasting. It includes libdts.
+libdca: It is released under the terms of the GPL license.
+libdca:
+libdca: Homepage: http://www.videolan.org/developers/libdca.html
+libdca: